import request from './request';
/**登录 */
export function Login(params) {
    return request({
      url: '/user/login',
      method: 'post',
      params
    })
}
/**查询设备 */
export function getDeviveModel(params) {
    return request({
        url: '/examineRecord/getDeviveModel',
        method: 'post',
        params
      })
}


/**
 * 查询
 */
export function getExamineRecordData(params) {
    return request({
      url: '/examineRecord/getExamineRecordData',
      method: 'post',
      params
    })
}
/**
 * 
 * @param {查询出厂编号} params 
 * @returns 
 */
export function getDeviveFactory(params) {
    return request({
      url: '/examineRecord/getDeviveFactoryNumber',
      method: 'post',
      params
    })
}
/**
 * 
 * 保存基本信息
 */
export function saveExamineRecord(params) {
    return request({
      url: '/examineRecord/saveExamineRecord',
      method: 'post',
      params
    })
}
/**
 * 
 * 保存测定前后值
 */
export function saveExamineRecordData(params) {
    return request({
      url: '/examineRecord/saveExamineRecordData',
      method: 'post',
      data:params,
      headers:{
            'Content-Type': 'application/json'
      }
    })
}


/**复核 */

export function checkExamineRecord(params) {
    return request({
        url: '/examineRecord/checkExamineRecord',
        method: 'post',
        params,
    })
}

/**保存漂移数据 */
export function saveExamineRecordDrift(params) {
    return request({
        url: '/examineRecord/saveExamineRecordDrift',
        method: 'post',
        data:params,
        headers:{
              'Content-Type': 'application/json'
        }
    })
}

