import { createRouter, createWebHashHistory } from 'vue-router';

const allRoutes = [
  {
    path: '/login',
    name: 'login',
    component: () => import('../views/login/index.vue'),
  },
  {
    path: '/',
    redirect: '/login',
  },
  {
    path: '/home',
    name: 'home',
    component: () => import('../views/home/index.vue'),
  },
  {
    path: '/addppm',
    name: 'addppm',
    component: () => import('../views/addPPM/index.vue'),
  },
  {
    path: '/addPiaoYi',
    name: 'addPiaoYi',
    component: () => import('../views/addPiaoYi/index.vue'),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  //   history: createWebHistory(import.meta.env.BASE_URL),
  routes: allRoutes,
  scrollBehavior() {
    return {
      el: '#app',
      top: 0,
      behavior: 'smooth',
    };
  },
});

export default router;
